plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}

android {
    namespace 'com.police.policedatasystem'
    compileSdk 33
    viewBinding {
        enabled = true
    }
    defaultConfig {
        applicationId "com.police.policedatasystem"
        minSdk 24
        targetSdk 33
        versionCode 10029
        versionName "1.0.29"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        vectorDrawables {
            useSupportLibrary true
        }
    }

    applicationVariants.configureEach { variant ->
        variant.outputs.configureEach {
            outputFileName = "app_release${variant.versionName}.apk"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        compose true
        viewBinding true
    }
    composeOptions {
        kotlinCompilerExtensionVersion '1.4.3'
    }
    packaging {
        resources {
            excludes += '/META-INF/{AL2.0,LGPL2.1}'
        }
    }
}

dependencies {
    implementation 'androidx.appcompat:appcompat:1.0.0'
    implementation 'androidx.coordinatorlayout:coordinatorlayout:1.2.0'
    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4'
    implementation 'androidx.recyclerview:recyclerview:1.3.2'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
//    implementation 'com.squareup.retrofit2:adapter-okhttp3:2.9.0' // OkHttp适配器
    implementation 'com.scwang.smart:refresh-layout-kernel:2.0.3'
    implementation 'com.scwang.smart:refresh-footer-classics:2.0.3'//经典刷新脚部局
    implementation 'com.scwang.smart:refresh-header-classics:2.0.3'//经典刷新头布局
//    implementation 'io.reactivex:rxjava:1.3.8'
//    implementation 'io.reactivex:rxandroid:1.2.1'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0' // 根据需要选择合适的版本
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0' // 如果你使用 Gson 进行 JSON 转换
    implementation 'com.squareup.okhttp3:logging-interceptor:4.7.2'
    implementation 'com.squareup.okhttp3:okhttp:4.8.1' // OkHttp库
    implementation 'com.github.bumptech.glide:glide:4.16.0'
    implementation 'com.google.android.material:material:1.8.0'
    implementation 'com.github.barteksc:android-pdf-viewer:3.2.0-beta.1'
}